Bug 2269561 - Review Request: rust-envy - deserialize env vars into typesafe structs
Summary: Review Request: rust-envy - deserialize env vars into typesafe structs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/envy
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-14 16:21 UTC by Jens Reimann
Modified: 2024-04-11 06:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-11 06:21:25 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Jens Reimann 2024-03-14 16:21:58 UTC
Spec URL: https://dentrassi.de/download/rust-envy/rust-envy.spec
SRPM URL: https://dentrassi.de/download/rust-envy/rust-envy-0.4.2-1.fc41.src.rpm
Description: deserialize env vars into typesafe structs

Fedora Account System Username: ctron

Comment 1 Fedora Review Service 2024-03-14 16:27:13 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7159423
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2269561-rust-envy/fedora-rawhide-x86_64/07159423-rust-envy/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-04-06 11:24:45 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 3 Fedora Admin user for bugzilla script actions 2024-04-11 05:56:35 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-envy

Comment 4 Fedora Update System 2024-04-11 06:16:37 UTC
FEDORA-2024-d5d014df5f (rust-envy-0.4.2-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-d5d014df5f

Comment 5 Fedora Update System 2024-04-11 06:21:25 UTC
FEDORA-2024-d5d014df5f (rust-envy-0.4.2-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.